
Foreman - Refactor #14887

Remove test-unit dependency

04/29/2016 12:27 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Tests   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3480

  

Description

The dependency on the test-unit gem is now obsolete. It was added for compatibility with Ruby 2.2+ in #11016, where it was missing

in Ruby core.

Rails 4 has removed the dependency on test-unit and switched entirely to minitest (https://github.com/rails/rails/commit/aa7857b6),

so the gem can be removed.

Related issues:

Related to Foreman - Bug #11016: missing gem in test.rb under ruby 2.2.0 Closed 07/05/2015

Associated revisions

Revision f7f5116e - 05/01/2016 05:00 AM - Dominic Cleal

fixes #14887 - remove unused test-unit dep

Rails 4 removes the hard dep on test-unit in rails/rails@aa7857b6.

History

#1 - 04/29/2016 12:28 PM - Dominic Cleal

- Related to Bug #11016: missing gem in test.rb under ruby 2.2.0 added

#2 - 04/29/2016 12:29 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3480 added

#3 - 05/01/2016 05:01 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f7f5116e0009ff2290ebffcb300c0cc681c33916.

#4 - 05/03/2016 03:26 AM - Dominic Cleal

- translation missing: en.field_release set to 136
